Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045021
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2020-09-09 21:272020-09-21 07:11
Reportercollazoandy4View Statuspublic 
Assigned Toprakashmurugesan88 
PriorityhighResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045021: Current date used as delivery date if obrdmDeliveryDate is null

DescriptionWhen the Delivery Mode information came from an external system and no delivery date is provided the OBPOS_RenderOrderLine hook create a new component with the current date as delivery date, this is wrong because the user has not set a date.

For instance if we have an external system to set the delivery date when the stock should be available, and for one product the response is null (no stock available) a current date is shown in the line as delivery date, this is wrong, no date should be shown because no stock is available and the user can take some manual actions
Steps To ReproduceEnable Web POS Enable Delivery Modes preference
1.-Log in in Web Pos with vall blanca user
2.-Add the Avalanche Transceiver product to the receipt
3.-Put a breakpoint in the "if (!deliveryDate) {" line of the OBPOS_RenderOrderLine hook of hookRenderOrderLine.js file
4.-Set Pick up in store with date delivery mode with Delivery Date as tomorrow
5.-When the execution stops in the breakpoint, run in the console the next code: deliveryDate = null;
6.-Continue the execution

EXPECTED RESULT:
Check that even if the line does not has a delivery date, it is showing as delivery date today in the line properties
Proposed SolutionRemove the current date if no deliveryDate from OBPOS_RenderOrderLine in hookRenderOrderLine.js
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123227)
hgbot (developer)
2020-09-21 06:18

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/103 [^]
(0123239)
hgbot (developer)
2020-09-21 07:11

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/103 [^]
(0123240)
hgbot (developer)
2020-09-21 07:11

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: afa38456d118e0c5e17a2fbd0fa6293b21e04a73
Author: Prakash M <prakash@qualiantech.com>
Date: 2020-09-21T09:46:18+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/afa38456d118e0c5e17a2fbd0fa6293b21e04a73 [^]

Fixed BUG-45021: Fixes Current Date is used as delivery date if obrdmDeliveryDate is null
* Current Date should not be used as delivery date if obrdmDeliveryDate is null

---
M web/org.openbravo.retail.posterminal/js/hookRenderOrderLine.js
---

- Issue History
Date Modified Username Field Change
2020-09-09 21:27 collazoandy4 New Issue
2020-09-09 21:27 collazoandy4 Assigned To => Retail
2020-09-09 21:27 collazoandy4 Triggers an Emergency Pack => No
2020-09-09 21:28 collazoandy4 Priority normal => high
2020-09-15 11:28 marvintm Severity critical => major
2020-09-15 12:48 kchoperena Steps to Reproduce Updated View Revisions
2020-09-16 08:49 prakashmurugesan88 Assigned To Retail => prakashmurugesan88
2020-09-17 06:43 prakashmurugesan88 Status new => scheduled
2020-09-21 06:18 hgbot Note Added: 0123227
2020-09-21 07:11 hgbot Note Added: 0123239
2020-09-21 07:11 hgbot Resolution open => fixed
2020-09-21 07:11 hgbot Status scheduled => closed
2020-09-21 07:11 hgbot Fixed in Version => RR20Q4
2020-09-21 07:11 hgbot Note Added: 0123240


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker